apiVersion: admissionregistration.k8s.io/v1
kind: ValidatingWebhookConfiguration
metadata:
  annotations:
  creationTimestamp: "2025-10-27T11:31:49Z"
  generation: 2
  name: machine-api
  resourceVersion: "9240"
  uid: 3b561d7f-a4fe-46fd-bc01-305ca2da5539
webhooks:
- admissionReviewVersions:
  - v1
  clientConfig:
    service:
      name: machine-api-operator-webhook
      namespace: openshift-machine-api
      path: /validate-machine-openshift-io-v1beta1-machine
      port: 443
  failurePolicy: Ignore
  matchPolicy: Equivalent
  name: validation.machine.machine.openshift.io
  namespaceSelector: {}
  objectSelector: {}
  rules:
  - apiGroups:
    - machine.openshift.io
    apiVersions:
    - v1beta1
    operations:
    - CREATE
    - UPDATE
    resources:
    - machines
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
- admissionReviewVersions:
  - v1
  clientConfig:
    service:
      name: machine-api-operator-webhook
      namespace: openshift-machine-api
      path: /validate-machine-openshift-io-v1beta1-machineset
      port: 443
  failurePolicy: Ignore
  matchPolicy: Equivalent
  name: validation.machineset.machine.openshift.io
  namespaceSelector: {}
  objectSelector: {}
  rules:
  - apiGroups:
    - machine.openshift.io
    apiVersions:
    - v1beta1
    operations:
    - CREATE
    - UPDATE
    resources:
    - machinesets
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
